#ifndef __animia__animia__win_h
#define __animia__animia__win_h

#include <functional>
#include <string>

namespace animia {

struct Process;
struct Window;

namespace internal {

using window_proc_t = std::function<bool(const Process&, const Window&)>;

class BaseWinTools {
	public:
		virtual bool EnumerateWindows(window_proc_t window_proc) {
			return false;
			(void)window_proc;
		}
};

extern BaseWinTools& win;

} // namespace internal

} // namespace animia

#endif // __animia__animia__win_h
